OSTREE TRIVIAL-HTTP(1)

NAME
ostree-trivial-httpd - Simple webserver

SYNOPSIS

ostree trivial-httpd [OPTIONS...] [DIR]

DESCRIPTION

This runs a simple webserver and keeps it running until killed. If DIR is not specified, it defaults to the current directory.

OPTIONS

--daemonize,-d
    Fork into background when ready.

--autoexit
    Automatically exit when directory is deleted.

--port-file,-p="PATH"
    Write port number to PATH (- for standard output).

--port,-P
    Use the specified TCP port to listen on.

--force-range-requests
    Force range requests by only serving half of files.

EXAMPLE

$ ostree trivial-httpd